Loading...
Searching...
No Matches
oscap.h File Reference

General OpenScap functions and types. More...

`#include <stdbool.h>`
`#include "oscap_text.h"`
`#include "oscap_reference.h"`
`#include "oscap_export.h"`
Include dependency graph for oscap.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | OSCAP_DEPRECATED(func)
| This macro will warn, when a deprecated function is used.

## Typedefs

typedef enum oscap_document_type | oscap_document_type_t
| SCAP document type identifiers.
typedef int(* | xml_reporter) (const char *file, int line, const char *msg, void *arg)

## Enumerations

enum

oscap_document_type {
OSCAP_DOCUMENT_UNKNOWN = 0 , OSCAP_DOCUMENT_OVAL_DEFINITIONS , OSCAP_DOCUMENT_OVAL_VARIABLES , OSCAP_DOCUMENT_OVAL_SYSCHAR ,
OSCAP_DOCUMENT_OVAL_RESULTS , OSCAP_DOCUMENT_OVAL_DIRECTIVES , OSCAP_DOCUMENT_XCCDF , OSCAP_DOCUMENT_CPE_LANGUAGE ,
OSCAP_DOCUMENT_CPE_DICTIONARY , OSCAP_DOCUMENT_SCE_RESULT , OSCAP_DOCUMENT_SDS , OSCAP_DOCUMENT_ARF ,
OSCAP_DOCUMENT_XCCDF_TAILORING , OSCAP_DOCUMENT_OCIL
}

| SCAP document type identifiers. More...

## Functions

OSCAP_API void | oscap_init (void)
| Initialize OpenSCAP library.
OSCAP_API void | oscap_cleanup (void)
| Release library internal caches.
OSCAP_API const char * | oscap_get_version (void)
| Get version of the OpenSCAP library.
OSCAP_API const char * | oscap_document_type_to_string (oscap_document_type_t type)
| Convert oscap_document_type_t constant to human readable (english) representation.
OSCAP_API int | oscap_apply_xslt (const char *xmlfile, const char *xsltfile, const char *outfile, const char **params)
| Apply a XSLT stylesheet to a XML file.
OSCAP_API const char * | oscap_path_to_schemas (void)
| Function returns path used to locate OpenSCAP XML schemas.
OSCAP_API const char * | oscap_path_to_cpe (void)
| Function returns path used to locate OpenSCAP Default CPE files.

## Detailed Description

General OpenScap functions and types.

Author
  Lukas Kuklinek lkukl.nosp@m.inek.nosp@m.@redh.nosp@m.at.c.nosp@m.om